MCP Tools Reference: people.googleapis.com

Alat: get_user_profile

Mendapatkan info profil tentang diri Anda (nama dan email).

Contoh berikut menunjukkan cara menggunakan curl untuk memanggil alat MCP get_user_profile.

Permintaan Curl
curl --location 'https://people.googleapis.com/mcp/v1' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_user_profile",
    "arguments": {
      // provide these details according to the tool MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Skema Input

Pesan permintaan untuk GetUserProfile.

Skema Output

Pesan respons untuk GetUserProfile.

GetUserProfileResponse

Representasi JSON
{
  "name": string,
  "emailAddress": string
}
Kolom
name

string

Nama tampilan pengguna.

emailAddress

string

Alamat email akun pengguna.

Anotasi Alat

Petunjuk Destruktif: ❌ | Petunjuk Idempoten: ✅ | Petunjuk Hanya Baca: ✅ | Petunjuk Dunia Terbuka: ❌